//UTM Conversion.cpp- test program for lat/long to UTM and UTM to lat/long conversions
#ifndef GPS_H
#define GPS_H

#include <iostream>
#include <iomanip>
#include "LatLong-UTMconversion.h"
#include "constants.h"
#include <fstream>
#include <stdio.h>
#include <conio.h>
#include <string>
#include <cstdlib>
#include <cmath>
#define PI 3.141592654
#define POCET_BODU 10

using namespace std;



class stack
{
	double buffer[POCET_BODU];
	int tos;
public:
	stack();
	void push(double a,double b);
	double popNorth();
	double popEast();

};

int random(float cislo);
float degree_to_rad(float souradnice);
float degree_to_sec(string s);
float sec_to_degree(double vteriny);
int random(float cislo);
float correction(string gps_ref,string ref_poloha);
float gps2_correction(string s,float corr);

#endif


